Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/nut: Upgrade to 2.7.4. conf.d & init.d cleanups

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 13 Jun 2016 17:29:29 +0300

--
- rename all /etc/nut/*.conf.sample to /etc/nut/*.conf
- make conf.d/* init.d/* more clean and openrc-run'ed
- nut-upsmon now dynamically depends on nut-upsd if the MODE parameter in /etc/nut/nut.conf is set to 'standalone' or 'netserver'.
- make a user and group creation in pre-install. I think we need to remove this user/group from alpine-baselayout.
---
 testing/nut/APKBUILD         |  62 ++++-----
 testing/nut/config-sub.patch | 313 -------------------------------------------
 testing/nut/nut-upsd.confd   |   3 -
 testing/nut/nut-upsd.initd   |  53 --------
 testing/nut/nut-upsmon.confd |   3 -
 testing/nut/nut-upsmon.initd |  43 ------
 testing/nut/nut.confd        |   2 +
 testing/nut/nut.pre-install  |   5 +
 testing/nut/upsd.initd       |  39 ++++++
 testing/nut/upsmon.initd     |  34 +++++
 10 files changed, 108 insertions(+), 449 deletions(-)
 delete mode 100644 testing/nut/config-sub.patch
 delete mode 100644 testing/nut/nut-upsd.confd
 delete mode 100644 testing/nut/nut-upsd.initd
 delete mode 100644 testing/nut/nut-upsmon.confd
 delete mode 100644 testing/nut/nut-upsmon.initd
 create mode 100644 testing/nut/nut.confd
 create mode 100644 testing/nut/upsd.initd
 create mode 100644 testing/nut/upsmon.initd
diff --git a/testing/nut/APKBUILD b/testing/nut/APKBUILD
index 45c94d2..f211764 100644
--- a/testing/nut/APKBUILD
+++ b/testing/nut/APKBUILD
_at_@ -1,8 +1,9 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Contributor: Kozak Ivan <kozak-iv_at_yandex.ru>
 # Maintainer: Kozak Ivan <kozak-iv_at_yandex.ru>
 pkgname=nut
-pkgver=2.7.3
-pkgrel=1
+pkgver=2.7.4
+pkgrel=0
 pkgdesc="Network UPS tools - server"
 url="http://www.networkupstools.org"
 arch="all"
_at_@ -14,24 +15,20 @@ pkggroups="nut"
 install="$pkgname.pre-install"
 subpackages="$pkgname-doc $pkgname-dev"
 source="http://www.networkupstools.org/source/2.7/$pkgname-$pkgver.tar.gz
-	nut-upsd.initd
-	nut-upsd.confd
-	nut-upsmon.initd
-	nut-upsmon.confd
-	config-sub.patch"
+	nut.confd
+	upsd.initd
+	upsmon.initd
+	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 
 prepare() {
-	local i
 	cd "$_builddir"
 	for i in $source; do
 		case $i in
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
-	libtoolize --force && aclocal -I m4 && autoconf \
-		&& automake --add-missing && update_config_sub
 }
 
 build() {
_at_@ -67,29 +64,26 @@ build() {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
-	chmod 640 "$pkgdir"/etc/nut/* || return 1
-	chown root:nut "$pkgdir"/etc/nut/* || return 1
-	install -D -m0755 "$srcdir"/nut-upsd.initd "$pkgdir"/etc/init.d/nut-upsd || return 1
-	install -D -m0644 "$srcdir"/nut-upsd.confd "$pkgdir"/etc/conf.d/nut-upsd || return 1
-	install -D -m0755 "$srcdir"/nut-upsmon.initd "$pkgdir"/etc/init.d/nut-upsmon || return 1
-	install -D -m0644 "$srcdir"/nut-upsmon.confd "$pkgdir"/etc/conf.d/nut-upsmon || return 1
+	chmod 640 "$pkgdir"/etc/nut || return 1
+	chown root:nut "$pkgdir"/etc/nut || return 1
+	for i in $(find "$pkgdir"/etc/nut -name "*.sample"); do
+		mv $i ${i%.*} || return 1
+	done
+	for i in upsd upsmon; do
+		install -Dm 755 "$srcdir"/$i.initd "$pkgdir"/etc/init.d/nut-$i || return 1
+		install -Dm 644 "$srcdir"/nut.confd "$pkgdir"/etc/conf.d/nut-$i || return 1
+	done
 }
 
-md5sums="a1a7f747093663e1f39ab595b63b45e4  nut-2.7.3.tar.gz
-2a5b693a967040270edc883e61f7ddef  nut-upsd.initd
-6b068c71884f8d66b5b7395b4a14d821  nut-upsd.confd
-30dc9b43f956d7a6545f71a0d1d8dc47  nut-upsmon.initd
-6b068c71884f8d66b5b7395b4a14d821  nut-upsmon.confd
-2073c7d345cc59f6dc4f4322f63ccfa0  config-sub.patch"
-sha256sums="ff44d95d06a51559a0a018eef7f8d17911c1002b6352a7d7580ff75acb12126b  nut-2.7.3.tar.gz
-2eff9796f0e8d0e82c8d4ac1220885db5e09b8b91f4f49ce590da028e210aa2a  nut-upsd.initd
-8ee7ff65c3ef84bb1bc0b458ff5b574bb8a6ac656a6d3a40441185b352481dda  nut-upsd.confd
-37924fe62b4c837579283f080990d2e4cbd84dd85fd5c3c0fd45f665152a7d86  nut-upsmon.initd
-8ee7ff65c3ef84bb1bc0b458ff5b574bb8a6ac656a6d3a40441185b352481dda  nut-upsmon.confd
-8e44edcbfa1f2f9344659ca08bfeb93dec3e8356257b882d07aa61107fdac4a0  config-sub.patch"
-sha512sums="3dd978712dc0fabe7e194dbf6d7bb442c456aa4d45bfc63ede8a3acae23c66811cbcf2705b55a6739129b5f120e6f5865bcb9d19eb9080507a85e2624d5663d6  nut-2.7.3.tar.gz
-94333e58fca66111318f04f00f225a2203716b3d0bbfa39593a71de16f740df8623fdffba2e7821b3ae92e96c2fb4a0ac3661f1da31409f3b13b8f704e9c07c9  nut-upsd.initd
-cf93ce44cb6fcf980f48f77abeeabb8d0b4008e8258cf7085d68b2a9c5c10c818dbf0030630218fcf8d9c9aba43c06bda28f91efca9cc783438ec0192f10eb5d  nut-upsd.confd
-31ac70d1ec5c2db7e7faf2db14ab03a012287e2b0cc3e42755e7886e444a11a701cf870d89d44d7a80f3034f9856a163269a9071dd25f2f98e416677c18b0791  nut-upsmon.initd
-cf93ce44cb6fcf980f48f77abeeabb8d0b4008e8258cf7085d68b2a9c5c10c818dbf0030630218fcf8d9c9aba43c06bda28f91efca9cc783438ec0192f10eb5d  nut-upsmon.confd
-9253bc4eb3ed48ef4978e4948a3febbc7fb40067b3bdf642b8fb362e7e791d3bd91da25a7941965a675eb5e5ed9ef8b434d1a50bb499722a9805d3a689077e52  config-sub.patch"
+md5sums="3ba53656933d7471f95140b32a5b8d5c  nut-2.7.4.tar.gz
+bc62400005fdb77637d6e0002c6aaad6  nut.confd
+a95924ff4895c08e785a2c36c31d2f8e  upsd.initd
+e294774dcacce44c0d5a3abd3af21a92  upsmon.initd"
+sha256sums="980e82918c52d364605c0703a5dcf01f74ad2ef06e3d365949e43b7d406d25a7  nut-2.7.4.tar.gz
+3557d7db3e90f09f350f1651dbe2714ee5317735f3cccfed087462c34f1b55a2  nut.confd
+2a760088f3d73010ccd78277352eb3ea68ddf7e5884570624299833bc7f5d1c4  upsd.initd
+60f9afbe2a69087d10b353e49460aa436d5f307eafbd83f31640a5f83881954f  upsmon.initd"
+sha512sums="320c4aff85d8a370c5eff77d33924fdfc3caf6a250620693cdd5bf3336b3a80d8a207488eee841bcf8b72fbad68fda4c074e63b99c56e7886716fc934122d11a  nut-2.7.4.tar.gz
+de59b3ab84553780874aeb9edf5faaa1fe19144406f58d40e878cc4cf520440d95a57645a6e3fdd84fdec77c6840ab2185b9554a423f7b9b8b6bca4a1795fb78  nut.confd
+d578a4a383d15adb8d285c49e540c2177875a80396816ac70048a3d269d841c8c56c9ddc45b8062572ee899f19061630296f4d28e00c0c72fefdee98802126f8  upsd.initd
+38b14cde133fe940923efdf3d6b4faf6e87c779025ee28143855d0b659c7e6916bbe509599e6310abcbd91a2a85627351eda9e332f8f48317b736d486191176c  upsmon.initd"
diff --git a/testing/nut/config-sub.patch b/testing/nut/config-sub.patch
deleted file mode 100644
index 22bbbad..0000000
--- a/testing/nut/config-sub.patch
+++ /dev/null
_at_@ -1,313 +0,0 @@
-diff --git a/config.sub b/config.sub
-index bba4efb..6205f84 100755
---- a/config.sub
-+++ b/config.sub
-_at_@ -1,18 +1,24 @@
- #! /bin/sh
- # Configuration validation subroutine script.
--#   Copyright 1992-2014 Free Software Foundation, Inc.
-+#   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-+#   2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010,
-+#   2011, 2012 Free Software Foundation, Inc.
- 
--timestamp='2014-09-11'
-+timestamp='2012-04-18'
- 
--# This file is free software; you can redistribute it and/or modify it
--# under the terms of the GNU General Public License as published by
--# the Free Software Foundation; either version 3 of the License, or
-+# This file is (in principle) common to ALL GNU software.
-+# The presence of a machine in this file suggests that SOME GNU software
-+# can handle that machine.  It does not imply ALL GNU software can.
-+#
-+# This file is free software; you can redistribute it and/or modify
-+# it under the terms of the GNU General Public License as published by
-+# the Free Software Foundation; either version 2 of the License, or
- # (at your option) any later version.
- #
--# This program is distributed in the hope that it will be useful, but
--# WITHOUT ANY WARRANTY; without even the implied warranty of
--# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--# General Public License for more details.
-+# This program is distributed in the hope that it will be useful,
-+# but WITHOUT ANY WARRANTY; without even the implied warranty of
-+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-+# GNU General Public License for more details.
- #
- # You should have received a copy of the GNU General Public License
- # along with this program; if not, see <http://www.gnu.org/licenses/>.
-_at_@ -20,12 +26,11 @@ timestamp='2014-09-11'
- # As a special exception to the GNU General Public License, if you
- # distribute this file as part of a program that contains a
- # configuration script generated by Autoconf, you may include it under
--# the same distribution terms that you use for the rest of that
--# program.  This Exception is an additional permission under section 7
--# of the GNU General Public License, version 3 ("GPLv3").
-+# the same distribution terms that you use for the rest of that program.
- 
- 
--# Please send patches with a ChangeLog entry to config-patches_at_gnu.org.
-+# Please send patches to <config-patches_at_gnu.org>.  Submit a context
-+# diff and a properly formatted GNU ChangeLog entry.
- #
- # Configuration subroutine to validate and canonicalize a configuration type.
- # Supply the specified configuration type as an argument.
-_at_@ -68,7 +73,9 @@ Report bugs and patches to <config-patches_at_gnu.org>."
- version="\
- GNU config.sub ($timestamp)
- 
--Copyright 1992-2014 Free Software Foundation, Inc.
-+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000,
-+2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012
-+Free Software Foundation, Inc.
- 
- This is free software; see the source for copying conditions.  There is NO
- warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
-_at_@ -116,7 +123,7 @@ esac
- maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'`
- case $maybe_os in
-   nto-qnx* | linux-gnu* | linux-android* | linux-dietlibc | linux-newlib* | \
--  linux-musl* | linux-uclibc* | uclinux-uclibc* | uclinux-gnu* | kfreebsd*-gnu* | \
-+  linux-uclibc* | uclinux-uclibc* | uclinux-gnu* | kfreebsd*-gnu* | \
-   knetbsd*-gnu* | netbsd*-gnu* | \
-   kopensolaris*-gnu* | \
-   storm-chaos* | os2-emx* | rtmk-nova*)
-_at_@ -149,7 +156,7 @@ case $os in
- 	-convergent* | -ncr* | -news | -32* | -3600* | -3100* | -hitachi* |\
- 	-c[123]* | -convex* | -sun | -crds | -omron* | -dg | -ultra | -tti* | \
- 	-harris | -dolphin | -highlevel | -gould | -cbm | -ns | -masscomp | \
--	-apple | -axis | -knuth | -cray | -microblaze*)
-+	-apple | -axis | -knuth | -cray | -microblaze)
- 		os=
- 		basic_machine=$1
- 		;;
-_at_@ -252,12 +259,10 @@ case $basic_machine in
- 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
- 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
- 	| am33_2.0 \
--	| arc | arceb \
--	| arm | arm[bl]e | arme[lb] | armv[2-8] | armv[3-8][lb] | armv7[arm] \
--	| avr | avr32 \
--	| be32 | be64 \
-+	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr | avr32 \
-+        | be32 | be64 \
- 	| bfin \
--	| c4x | c8051 | clipper \
-+	| c4x | clipper \
- 	| d10v | d30v | dlx | dsp16xx \
- 	| epiphany \
- 	| fido | fr30 | frv \
-_at_@ -265,11 +270,10 @@ case $basic_machine in
- 	| hexagon \
- 	| i370 | i860 | i960 | ia64 \
- 	| ip2k | iq2000 \
--	| k1om \
- 	| le32 | le64 \
- 	| lm32 \
- 	| m32c | m32r | m32rle | m68000 | m68k | m88k \
--	| maxq | mb | microblaze | microblazeel | mcore | mep | metag \
-+	| maxq | mb | microblaze | mcore | mep | metag \
- 	| mips | mipsbe | mipseb | mipsel | mipsle \
- 	| mips16 \
- 	| mips64 | mips64el \
-_at_@ -283,26 +287,23 @@ case $basic_machine in
- 	| mips64vr5900 | mips64vr5900el \
- 	| mipsisa32 | mipsisa32el \
- 	| mipsisa32r2 | mipsisa32r2el \
--	| mipsisa32r6 | mipsisa32r6el \
- 	| mipsisa64 | mipsisa64el \
- 	| mipsisa64r2 | mipsisa64r2el \
--	| mipsisa64r6 | mipsisa64r6el \
- 	| mipsisa64sb1 | mipsisa64sb1el \
- 	| mipsisa64sr71k | mipsisa64sr71kel \
--	| mipsr5900 | mipsr5900el \
- 	| mipstx39 | mipstx39el \
- 	| mn10200 | mn10300 \
- 	| moxie \
- 	| mt \
- 	| msp430 \
- 	| nds32 | nds32le | nds32be \
--	| nios | nios2 | nios2eb | nios2el \
-+	| nios | nios2 \
- 	| ns16k | ns32k \
--	| open8 | or1k | or1knd | or32 \
-+	| open8 \
-+	| or32 \
- 	| pdp10 | pdp11 | pj | pjl \
- 	| powerpc | powerpc64 | powerpc64le | powerpcle \
- 	| pyramid \
--	| riscv32 | riscv64 \
- 	| rl78 | rx \
- 	| score \
- 	| sh | sh[1234] | sh[24]a | sh[24]aeb | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
-_at_@ -327,7 +328,7 @@ case $basic_machine in
- 	c6x)
- 		basic_machine=tic6x-unknown
- 		;;
--	m6811 | m68hc11 | m6812 | m68hc12 | m68hcs12x | nvptx | picochip)
-+	m6811 | m68hc11 | m6812 | m68hc12 | m68hcs12x | picochip)
- 		basic_machine=$basic_machine-unknown
- 		os=-none
- 		;;
-_at_@ -369,13 +370,13 @@ case $basic_machine in
- 	| aarch64-* | aarch64_be-* \
- 	| alpha-* | alphaev[4-8]-* | alphaev56-* | alphaev6[78]-* \
- 	| alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \
--	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* | arceb-* \
-+	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \
- 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
- 	| avr-* | avr32-* \
- 	| be32-* | be64-* \
- 	| bfin-* | bs2000-* \
- 	| c[123]* | c30-* | [cjt]90-* | c4x-* \
--	| c8051-* | clipper-* | craynv-* | cydra-* \
-+	| clipper-* | craynv-* | cydra-* \
- 	| d10v-* | d30v-* | dlx-* \
- 	| elxsi-* \
- 	| f30[01]-* | f700-* | fido-* | fr30-* | frv-* | fx80-* \
-_at_@ -384,13 +385,11 @@ case $basic_machine in
- 	| hexagon-* \
- 	| i*86-* | i860-* | i960-* | ia64-* \
- 	| ip2k-* | iq2000-* \
--	| k1om-* \
- 	| le32-* | le64-* \
- 	| lm32-* \
- 	| m32c-* | m32r-* | m32rle-* \
- 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
--	| m88110-* | m88k-* | maxq-* | mcore-* | metag-* \
--	| microblaze-* | microblazeel-* \
-+	| m88110-* | m88k-* | maxq-* | mcore-* | metag-* | microblaze-* \
- 	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
- 	| mips16-* \
- 	| mips64-* | mips64el-* \
-_at_@ -404,22 +403,18 @@ case $basic_machine in
- 	| mips64vr5900-* | mips64vr5900el-* \
- 	| mipsisa32-* | mipsisa32el-* \
- 	| mipsisa32r2-* | mipsisa32r2el-* \
--	| mipsisa32r6-* | mipsisa32r6el-* \
- 	| mipsisa64-* | mipsisa64el-* \
- 	| mipsisa64r2-* | mipsisa64r2el-* \
--	| mipsisa64r6-* | mipsisa64r6el-* \
- 	| mipsisa64sb1-* | mipsisa64sb1el-* \
- 	| mipsisa64sr71k-* | mipsisa64sr71kel-* \
--	| mipsr5900-* | mipsr5900el-* \
- 	| mipstx39-* | mipstx39el-* \
- 	| mmix-* \
- 	| mt-* \
- 	| msp430-* \
- 	| nds32-* | nds32le-* | nds32be-* \
--	| nios-* | nios2-* | nios2eb-* | nios2el-* \
-+	| nios-* | nios2-* \
- 	| none-* | np1-* | ns16k-* | ns32k-* \
- 	| open8-* \
--	| or1k*-* \
- 	| orion-* \
- 	| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \
- 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* \
-_at_@ -793,15 +788,11 @@ case $basic_machine in
- 		basic_machine=ns32k-utek
- 		os=-sysv
- 		;;
--	microblaze*)
-+	microblaze)
- 		basic_machine=microblaze-xilinx
- 		;;
--	mingw64)
--		basic_machine=x86_64-pc
--		os=-mingw64
--		;;
- 	mingw32)
--		basic_machine=i686-pc
-+		basic_machine=i386-pc
- 		os=-mingw32
- 		;;
- 	mingw32ce)
-_at_@ -829,10 +820,6 @@ case $basic_machine in
- 		basic_machine=powerpc-unknown
- 		os=-morphos
- 		;;
--	moxiebox)
--		basic_machine=moxie-unknown
--		os=-moxiebox
--		;;
- 	msdos)
- 		basic_machine=i386-pc
- 		os=-msdos
-_at_@ -841,7 +828,7 @@ case $basic_machine in
- 		basic_machine=`echo $basic_machine | sed -e 's/ms1-/mt-/'`
- 		;;
- 	msys)
--		basic_machine=i686-pc
-+		basic_machine=i386-pc
- 		os=-msys
- 		;;
- 	mvs)
-_at_@ -1032,11 +1019,7 @@ case $basic_machine in
- 		basic_machine=i586-unknown
- 		os=-pw32
- 		;;
--	rdos | rdos64)
--		basic_machine=x86_64-pc
--		os=-rdos
--		;;
--	rdos32)
-+	rdos)
- 		basic_machine=i386-pc
- 		os=-rdos
- 		;;
-_at_@ -1363,29 +1346,29 @@ case $os in
- 	-gnu* | -bsd* | -mach* | -minix* | -genix* | -ultrix* | -irix* \
- 	      | -*vms* | -sco* | -esix* | -isc* | -aix* | -cnk* | -sunos | -sunos[34]*\
- 	      | -hpux* | -unos* | -osf* | -luna* | -dgux* | -auroraux* | -solaris* \
--	      | -sym* | -kopensolaris* | -plan9* \
-+	      | -sym* | -kopensolaris* \
- 	      | -amigaos* | -amigados* | -msdos* | -newsos* | -unicos* | -aof* \
- 	      | -aos* | -aros* \
- 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
- 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
- 	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* \
--	      | -bitrig* | -openbsd* | -solidbsd* \
-+	      | -openbsd* | -solidbsd* \
- 	      | -ekkobsd* | -kfreebsd* | -freebsd* | -riscix* | -lynxos* \
- 	      | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
- 	      | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \
- 	      | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
- 	      | -chorusos* | -chorusrdb* | -cegcc* \
- 	      | -cygwin* | -msys* | -pe* | -psos* | -moss* | -proelf* | -rtems* \
--	      | -mingw32* | -mingw64* | -linux-gnu* | -linux-android* \
--	      | -linux-newlib* | -linux-musl* | -linux-uclibc* \
--	      | -uxpv* | -beos* | -mpeix* | -udk* | -moxiebox* \
-+	      | -mingw32* | -linux-gnu* | -linux-android* \
-+	      | -linux-newlib* | -linux-uclibc* \
-+	      | -uxpv* | -beos* | -mpeix* | -udk* \
- 	      | -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened* \
- 	      | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \
- 	      | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \
- 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
- 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
- 	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
--	      | -skyos* | -haiku* | -rdos* | -toppers* | -drops* | -es* | -tirtos*)
-+	      | -skyos* | -haiku* | -rdos* | -toppers* | -drops* | -es*)
- 	# Remember, each alternative MUST END IN *, to match a version number.
- 		;;
- 	-qnx*)
-_at_@ -1509,6 +1492,9 @@ case $os in
- 	-aros*)
- 		os=-aros
- 		;;
-+	-kaos*)
-+		os=-kaos
-+		;;
- 	-zvmoe)
- 		os=-zvmoe
- 		;;
-_at_@ -1557,9 +1543,6 @@ case $basic_machine in
- 	c4x-* | tic4x-*)
- 		os=-coff
- 		;;
--	c8051-*)
--		os=-elf
--		;;
- 	hexagon-*)
- 		os=-elf
- 		;;
diff --git a/testing/nut/nut-upsd.confd b/testing/nut/nut-upsd.confd
deleted file mode 100644
index ab4cb59..0000000
--- a/testing/nut/nut-upsd.confd
+++ /dev/null
_at_@ -1,3 +0,0 @@
-CONFIG=/etc/nut/nut.conf
-# Run IPv4 only, -6 for IPv6
-ARGS="-4 -u nut"
diff --git a/testing/nut/nut-upsd.initd b/testing/nut/nut-upsd.initd
deleted file mode 100644
index db1e4b1..0000000
--- a/testing/nut/nut-upsd.initd
+++ /dev/null
_at_@ -1,53 +0,0 @@
-#!/sbin/openrc-run
-
-extra_started_commands="reload"
-
-pid_dir=/var/run/nut
-pidfile=/var/run/nut/upsd.pid
-upsd=/usr/sbin/upsd
-upsdrvctl=/usr/libexec/nut/upsdrvctl
-NAME=nut-server
-
-depend() {
-	use net
-	before nut-upsmon
-}
-
-start_pre()
-{
-    # Ensure that our dirs are correct
-    checkpath -d --owner root:nut --mode 0770 $pid_dir
-}
-
-start() {
-	ebegin "Starting upsd"
-
-	# Include NUT nut.conf
-	[ -r $CONFIG ] && . $CONFIG
-
-	# Explicitly require the configuration to be done in /etc/nut/nut.conf
-	# redundant with nut-client
-	if [ "x$MODE" = "xnone" -o -z "$MODE" ] ; then
-		eerror "$NAME disabled, please adjust the configuration to your needs"
-		eerror "Then set MODE to a suitable value in $CONFIG to enable it"
-		# exit success to avoid breaking the install process!
-		return 1
-	fi
-
-	${upsdrvctl} -u nut start &>/dev/null
-	start-stop-daemon --start --pidfile ${pidfile} --exec ${upsd} -- ${ARGS}
-	eend $? 
-}
-
-stop() {
-	ebegin "Stopping upsd"
-	start-stop-daemon --stop --pidfile ${pidfile}
-	${upsdrvctl} -u nut stop &>/dev/null
-	eend $?
-}
-
-reload() {
-	ebegin "Reloading upsd"
-	start-stop-daemon --stop --signal HUP --pidfile ${pidfile}
-	eend $?
-}
diff --git a/testing/nut/nut-upsmon.confd b/testing/nut/nut-upsmon.confd
deleted file mode 100644
index ab4cb59..0000000
--- a/testing/nut/nut-upsmon.confd
+++ /dev/null
_at_@ -1,3 +0,0 @@
-CONFIG=/etc/nut/nut.conf
-# Run IPv4 only, -6 for IPv6
-ARGS="-4 -u nut"
diff --git a/testing/nut/nut-upsmon.initd b/testing/nut/nut-upsmon.initd
deleted file mode 100644
index 3c98c17..0000000
--- a/testing/nut/nut-upsmon.initd
+++ /dev/null
_at_@ -1,43 +0,0 @@
-#!/sbin/openrc-run
-
-extra_started_commands="reload"
-
-pidfile=/var/run/upsmon.pid
-upsmon=/usr/sbin/upsmon
-NAME=nut-monitor
-
-depend() {
-	use net
-	after nut-upsd
-}
-
-start() {
-	ebegin "Starting upsmon"
-
-	# Include NUT nut.conf
-	[ -r $CONFIG ] && . $CONFIG
-
-	# Explicitly require the configuration to be done in /etc/nut/nut.conf
-	# redundant with nut-client
-	if [ "x$MODE" = "xnone" -o -z "$MODE" ] ; then
-		eerror "$NAME disabled, please adjust the configuration to your needs"
-		eerror "Then set MODE to a suitable value in $CONFIG to enable it"
-		# exit success to avoid breaking the install process!
-		return 1
-	fi
-
-	start-stop-daemon --start --pidfile ${pidfile} --exec ${upsmon} -- ${ARGS}
-	eend $? 
-}
-
-stop() {
-	ebegin "Stopping upsmon"
-	start-stop-daemon --stop --pidfile ${pidfile}
-	eend $?
-}
-
-reload() {
-	ebegin "Reloading upsmon"
-	start-stop-daemon --stop --signal HUP --pidfile ${pidfile}
-	eend $?
-}
diff --git a/testing/nut/nut.confd b/testing/nut/nut.confd
new file mode 100644
index 0000000..b24f2ff
--- /dev/null
+++ b/testing/nut/nut.confd
_at_@ -0,0 +1,2 @@
+# -4 Run IPv4 only, -6 for IPv6
+#command_args="-4"
diff --git a/testing/nut/nut.pre-install b/testing/nut/nut.pre-install
index 707f98d..f556574 100644
--- a/testing/nut/nut.pre-install
+++ b/testing/nut/nut.pre-install
_at_@ -1,5 +1,10 @@
 #!/bin/sh
 
+if ! getent passwd nut; then
+    addgroup -S -g 84 nut 2>/dev/null
+    adduser -SDH -u 84 -h /var/run/nut -s /sbin/nologin -g nut nut 2>/dev/null
+fi
+
 adduser nut uucp 2>/dev/null
 
 exit 0
diff --git a/testing/nut/upsd.initd b/testing/nut/upsd.initd
new file mode 100644
index 0000000..ccfac08
--- /dev/null
+++ b/testing/nut/upsd.initd
_at_@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+
+name=nut-server
+pidfile=/var/run/nut/upsd.pid
+command=/usr/sbin/upsd
+required_files="/etc/nut/nut.conf /etc/nut/upsd.conf"
+extra_started_commands="reload"
+
+depend() {
+	use net
+}
+
+start_pre() {
+	. /etc/nut/nut.conf
+	case $MODE in
+	standalone|netserver)
+		checkpath -d --owner nut:nut --mode 750 ${pidfile%/*} || return 1
+		/usr/sbin/upsdrvctl start > /dev/null
+		;;
+	none)
+		eerror "$name disabled, please adjust the configuration to your needs"
+		eerror "Then set MODE to a suitable value in /etc/nut/nut.conf to enable it"
+		return 1
+		;;
+	*)
+		return 1
+		;;
+	esac
+}
+
+stop_post() {
+	/usr/sbin/upsdrvctl stop > /dev/null
+}
+
+reload() {
+	ebegin "Reloading $name"
+	start-stop-daemon --signal HUP --pidfile ${pidfile}
+	eend $?
+}
diff --git a/testing/nut/upsmon.initd b/testing/nut/upsmon.initd
new file mode 100644
index 0000000..468e514
--- /dev/null
+++ b/testing/nut/upsmon.initd
_at_@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+
+name=nut-monitor
+pidfile=/var/run/upsmon.pid
+command=/usr/sbin/upsmon
+required_files="/etc/nut/nut.conf /etc/nut/upsmon.conf"
+extra_started_commands="reload"
+
+depend() {
+	use net
+	. /etc/nut/nut.conf
+	case $MODE in
+	standalone|netserver)
+		need nut-upsd
+		;;
+	esac
+}
+
+start_pre() {
+	. /etc/nut/nut.conf
+	case $MODE in
+	none)
+		eerror "$name disabled, please adjust the configuration to your needs"
+		eerror "Then set MODE to a suitable value in /etc/nut/nut.conf to enable it"
+		return 1
+		;;
+	esac
+}
+
+reload() {
+	ebegin "Reloading $name"
+	start-stop-daemon --signal HUP --pidfile ${pidfile}
+	eend $?
+}
-- 
2.8.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jun 13 2016 - 17:29:29 GMT